/*
 * @Author       : ChenJie
 * @Date         : 2022-02-10 11:43:56
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-02-11 16:28:49
 * @Description  : file content
 * @FilePath     : \S32K146_4G\src\AppTaskUart1.c
 */
/*
 * AppTaskUart2.c
 *  4GĴں
 *  Created on: 2022210
 *      Author: QiXiang_CHENJIE
 */
#include "AppTaskUart1.h"
const ATCmdFunc Atcmdfunc[] = {
	{AT_CMD_TEST, "AT\r\n", at_callbackFunc},
	{AT_SIMREADY, "AT+CPIN?\r\n", at_callbackFunc},
	{AT_GETICCID, "AT+CICCID\r\n", at_callbackFunc},
	{AT_CGREG, "AT+CGREG?\r\n", at_callbackFunc},
	{AT_CSQ, "AT+CSQ\r\n", at_callbackFunc},
	{AT_NETOPEN, "AT+NETOPEN\r\n", at_callbackFunc},
	{AT_CGIP, "AT+CDNSGIP=", at_callbackFunc},
	{AT_CONNECT, "AT+CIPOPEN=0,\"TCP\",\"120.26.68.165\",14319\r\n", at_callbackFunc},
	{AT_CONNECTCHK, "AT+CIPOPEN?\r\n", at_callbackFunc},
	{AT_SEND, "AT+CIPSEND=", at_callbackFunc},
	{AT_GETTIME,"AT+CCLK?\r\n",at_callbackFunc},
	{AT_DISCON, "AT+CIPCLOSE=0\r\n", at_callbackFunc},
	{AT_NETCLOSE, "AT+NETCLOSE\r\n", at_callbackFunc}};

static process_Tcp gProcess_Tcp_Task = PROCESS_TCP_IDLE;
#define PROC_TCP_STATE_SWITCH(a) (gProcess_Tcp_Task = a)
void InitFunc(void);
sint8 TcpConnectFunc(sint8 *ConnectId);
sint8 TcpDataSendFunc(sint8 ConnectId);
sint8 TcpRegisterChkFunc(void);
static void AtcmdTransmit(sint8 CmdIdx, uint8 *SetValuePtr, uint16 SetValueLen, sint8 *retFunc);
void Uart_4G_Task(void *pvParameters)
{
	(void)pvParameters;
	// 4G
	Dio_WriteChannel(DioConf_DioChannel_PTA6_GPIO_OUT_MCU_4G_POW_EN, STD_ON);
	Dio_WriteChannel(DioConf_DioChannel_PTA7_GPIO_OUT_MCU_4G_PWRKEY, STD_ON);
	Dio_LevelType _4G_Status = 0; // 0-ػ1-
	_4G_Status = Dio_ReadChannel(DioConf_DioChannel_PTB1_GPIO_IN_MCU_4G_STATUS);
	// LED
	Dio_WriteChannel(DioConf_DioChannel_PTE0_GPIO_OUT_MCU_LED1, STD_OFF);
	vTaskDelay(pdMS_TO_TICKS(5000));
	uint8 pReadLen = 0;
	InitFunc(); // 4Gģʼ,עATͬͨûнджת
	for (;;)
	{
		switch (gProcess_Tcp_Task)
		{
		case PROCESS_TCP_IDLE: //״̬
		{
			Dio_FlipChannel(DioConf_DioChannel_PTE0_GPIO_OUT_MCU_LED1);
			vTaskDelay(pdMS_TO_TICKS(1000));
			if (SocketId < 0)
			{
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_REGCHK);
			}
			else
			{
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_SEND);
			}
			break;
		}
		case PROCESS_TCP_ATSYS:
		{
			sint8 ATRet = -1;
			AtcmdTransmit(AT_CMD_TEST, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_IDLE);
			}
			else
			{
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_ERROR);
			}
			break;
		}
		case PROCESS_TCP_REGCHK: //פ飬SIMCPIN,ICCIDȡ
		{
			sint8 RegChkRet = 0;
			RegChkRet = TcpRegisterChkFunc();
			if (RegChkRet > 0) //ͨSIMѾѽפ
			{
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_CONNECT);
			}
			else
			{
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_ERROR);
			}
			break;
		}
		case PROCESS_TCP_CONNECT: //ӣת
		{
			if (SocketId < 0)
			{
				sint8 ConnectRet = 0;
				ConnectRet = TcpConnectFunc(&SocketId);
				if (ConnectRet > 0)
				{
					PROC_TCP_STATE_SWITCH(PROCESS_TCP_IDLE);
				}
				else
				{
					PROC_TCP_STATE_SWITCH(PROCESS_TCP_ERROR);
				}
			}
			break;
		}
		case PROCESS_TCP_SEND: //ݷ
		{
			sint8 SendRet = -1;
			SendRet = TcpDataSendFunc(SocketId);
			if(SendRet==0)
			{
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_IDLE);
			}
			else
			{
				SocketId = -1;
				PROC_TCP_STATE_SWITCH(PROCESS_TCP_ERROR);
			}
			break;
		}
		case PROCESS_TCP_RECV: //ݽգӦöʱã״̬¼ɽ
		{
			break;
		}
		case PROCESS_TCP_HEART: //
		{
			break;
		}
		case PROCESS_TCP_SLEEP: //״̬
		{
			break;
		}
		case PROCESS_TCP_ERROR: //״̬
		{
			PROC_TCP_STATE_SWITCH(PROCESS_TCP_IDLE);
			break;
		}
		}
	}
}
sint8 TcpDataSendFunc(sint8 ConnectId)
{
	sint8 outValue = -1;
	char *pSendData = "Hello World!";
	uint8 DataSendLen = 0;
	DataSendLen = mstrlen(pSendData);

	//׼ɣ濪ʼ
	sint8 ATRet = -1;

	//AtcmdTransmit(AT_GETTIME, NULL, 0, &ATRet);4Gģʱȡ
	uint8 ReadLen = 0;
	char AtCmdSend[10] = {0};
	uint8 AtCmdSendTotalLen = 0;
	sprintf(AtCmdSend,"%d,%d\r\n",ConnectId,DataSendLen);//˴ҪŻ
//	Myitoa(ConnectId, Strtemp, 10);
//	memcpy(AtCmdSend, Strtemp, mstrlen(Strtemp));
//	AtCmdSendTotalLen = AtCmdSendTotalLen + mstrlen(Strtemp);
//	memcpy(AtCmdSend + AtCmdSendTotalLen, (char *)(","), 1);
//	AtCmdSendTotalLen = AtCmdSendTotalLen + 1;
//	memset(Strtemp, 0x00, sizeof(Strtemp));
//	Myitoa(DataSendLen, Strtemp, 10);
//	memcpy(AtCmdSend + AtCmdSendTotalLen, Strtemp, mstrlen(Strtemp));
//	AtCmdSendTotalLen = AtCmdSendTotalLen + mstrlen(Strtemp);
//	memcpy(AtCmdSend + AtCmdSendTotalLen, CRLF, mstrlen(CRLF));
	AtCmdSendTotalLen = mstrlen(AtCmdSend);
	AtcmdTransmit(AT_SEND, AtCmdSend, AtCmdSendTotalLen, &ATRet);
	if (ATRet == 0)
	{
		memset(RX_Buffer[UART_LPUART1], 0x00, sizeof(RX_Buffer[UART_LPUART1]));
		UART_Query_Data(UART_LPUART1, UART_LPUART1, pSendData, DataSendLen, RX_Buffer[UART_LPUART1], &ReadLen, 1000 * 10);
		if ((uint8 *)strstr((char *)RX_Buffer[UART_LPUART1], (char *)("OK")))
		{
			outValue = 0;
		}
	}
	return outValue;
}
sint8 TcpConnectFunc(sint8 *ConnectId)
{
	uint8 ConnectStep = 0;
	sint8 ChkState = 0;
	sint8 ATRet = -1;
	while (1)
	{
		switch (ConnectStep)
		{
		case 0: // ATָͬ
		{
			AtcmdTransmit(AT_CMD_TEST, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				ConnectStep++;
			}
			else
			{
				ChkState = -ConnectStep;
				return ChkState;
			}
			break;
		}
		case 1: // Netopen
		{
			AtcmdTransmit(AT_NETOPEN, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				ConnectStep++;
			}
			else
			{
				ChkState = -ConnectStep;
				return ChkState;
			}
			break;
		}
		case 2: //Ӽ
		{
			AtcmdTransmit(AT_CONNECTCHK, NULL, 0, &ATRet); // ATretصֵidδӷ-1
			if (ATRet >= 0)
			{
				*ConnectId = ATRet;
				return 1;
			}
			else
			{
				ConnectStep++;
			}
			break;
		}
		case 3: //ת
		{
			char AtCmdSend[30] = {0};
			uint8 AtCmdSendLen = 0;
			AtCmdSendLen = mstrlen(WebSiteName);
			memcpy(AtCmdSend, WebSiteName, AtCmdSendLen);
			memcpy(AtCmdSend + AtCmdSendLen, (char *)CRLF, sizeof(CRLF));
			AtCmdSendLen = AtCmdSendLen + 2;
			AtcmdTransmit(AT_CGIP, AtCmdSend, AtCmdSendLen, &ATRet);
			if (ATRet == 0)
			{
				ConnectStep++;
			}
			else
			{
				ChkState = -ConnectStep;
				return ChkState;
			}
			break;
		}
		case 4: //
		{
			AtcmdTransmit(AT_CONNECT, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				ConnectStep++;
			}
			else
			{
				ChkState = -ConnectStep;
				return ChkState;
			}
			break;
		}
		default:
			ChkState = ConnectStep;
			return ChkState;
		}
	}
}
sint8 TcpRegisterChkFunc(void)
{
	uint8 RegChkStep = 0;
	sint8 ChkState = 0; //ĬΪ0
	sint8 ATRet = -1;
	while (1)
	{
		switch (RegChkStep)
		{
		case 0: // ATָͬ
		{
			AtcmdTransmit(AT_CMD_TEST, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				RegChkStep++;
			}
			else
			{
				ChkState = -RegChkStep;
				return ChkState;
			}
			break;
		}
		case 1: // CPIN
		{
			AtcmdTransmit(AT_SIMREADY, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				RegChkStep++;
			}
			else
			{
				ChkState = -RegChkStep;
				return ChkState;
			}
			break;
		}
		case 2: // ICCIDȡ
		{
			AtcmdTransmit(AT_GETICCID, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				RegChkStep++;
			}
			else
			{
				ChkState = -RegChkStep;
				return ChkState;
			}
			break;
		}
		case 3:
		{
			AtcmdTransmit(AT_CGREG, NULL, 0, &ATRet); //פ飬ֵ15פɹ
			if (ATRet == 1 || ATRet == 5)
			{
				RegChkStep++;
			}
			else
			{
				ChkState = -RegChkStep;
				return ChkState;
			}
			break;
		}
		default:
			ChkState = RegChkStep;
			return ChkState;
			break;
		}
	}
}
void InitFunc(void)
{
	// 4Gģʼ
	uint8 _4G_InitStep = 0;
	sint8 ATRet = -1;
	uint8 ReadLen = 0;
	char *ATCmdSend = NULL;
	uint8 ATCmdSendLen = 0;
	while (1)
	{
		switch (_4G_InitStep)
		{
		case 0: // ATָͬ
		{
			AtcmdTransmit(AT_CMD_TEST, NULL, 0, &ATRet);
			if (ATRet == 0)
			{
				_4G_InitStep++;
			}
			else
			{
				_4G_InitStep = 0;
			}
			break;
		}
		case 1: //رջ
		{
			ATCmdSend = (char *)("ATE0\r\n");
			ATCmdSendLen = mstrlen(ATCmdSend);
			memset(RX_Buffer[UART_LPUART1], 0x00, sizeof(RX_Buffer[UART_LPUART1]));
			UART_Query_Data(UART_LPUART1, UART_LPUART1, ATCmdSend, ATCmdSendLen, RX_Buffer[UART_LPUART1], &ReadLen, 1000 * 10);
			uint8 *retptr = NULL;
			if (ReadLen > 0)
			{
				retptr = (uint8 *)strstr((char *)RX_Buffer[UART_LPUART1], (char *)("OK"));
				if (retptr)
				{
					_4G_InitStep++;
				}
				else
				{
					_4G_InitStep = 0;
				}
			}
			else
			{
				_4G_InitStep = 0;
			}
			break;
		}
		case 2: // IMEIȡ
		{
			ATCmdSend = (char *)("AT+SIMEI?\r\n");
			ATCmdSendLen = mstrlen(ATCmdSend);
			memset(RX_Buffer[UART_LPUART1], 0x00, sizeof(RX_Buffer[UART_LPUART1]));
			UART_Query_Data(UART_LPUART1, UART_LPUART1, ATCmdSend, ATCmdSendLen, RX_Buffer[UART_LPUART1], &ReadLen, 1000 * 10);
			uint8 *retptr = NULL;
			if (ReadLen > 0)
			{
				retptr = (uint8 *)strstr((char *)RX_Buffer[UART_LPUART1], (char *)("+SIMEI"));
				if (retptr)
				{
					memcpy(ImeiNum, retptr + 8, 15);
					_4G_InitStep++;
				}
				else
				{
					_4G_InitStep = 0;
				}
			}
			else
			{
				_4G_InitStep = 0;
			}
			break;
		}
		default:
		{
			return;
			break;
		}
		}
	}
}
static void AtcmdTransmit(sint8 CmdIdx, uint8 *SetValuePtr, uint16 SetValueLen, sint8 *retFunc)
{
	uint8 *ATCmdRead;
	uint16 ReadLen = 0;
	uint8 *PtrATCmdSend = NULL;
	uint8 ATCmdFixedLen = 0;
	uint16 ATCmdTotalLen = 0;
	ATCmdFixedLen = mstrlen(Atcmdfunc[CmdIdx].str);
	ATCmdTotalLen = ATCmdFixedLen + SetValueLen;
	PtrATCmdSend = malloc(ATCmdTotalLen);
	memset(PtrATCmdSend, 0x00, ATCmdTotalLen);
	memcpy(PtrATCmdSend, Atcmdfunc[CmdIdx].str, ATCmdFixedLen);
	if (SetValuePtr != NULL)
	{
		memcpy(PtrATCmdSend + ATCmdFixedLen, SetValuePtr, SetValueLen);
	}
	memset(RX_Buffer[UART_LPUART1], 0x00, sizeof(RX_Buffer[UART_LPUART1]));
	UART_Query_Data(UART_LPUART1, UART_LPUART1, PtrATCmdSend, ATCmdTotalLen, RX_Buffer[UART_LPUART1], &ReadLen, 1000 * 100);
	ATCmdRead = RX_Buffer[UART_LPUART1];
	*retFunc = Atcmdfunc[CmdIdx].cb(PtrATCmdSend, ATCmdRead, CmdIdx, ReadLen);
	if (PtrATCmdSend != NULL)
	{
		free(PtrATCmdSend);
	}
	PtrATCmdSend = NULL;
	return;
}
sint8 at_callbackFunc(char *PSendStr, char *pReadStr, uint8 CmdIdx, uint16 pReadLen)
{
	sint8 OutValue = -1;
	uint8 *retptr = NULL;
	char *OkAns = "OK";
	retptr = (uint8 *)strstr((char *)pReadStr, OkAns);
	switch (CmdIdx)
	{
	case AT_CMD_TEST:
	{
		if (retptr)
		{
			OutValue = 0;
		}
		break;
	}
	case AT_SIMREADY:
	{
		if (retptr)
		{
			retptr = (uint8 *)strstr((char *)pReadStr, (char *)("READY"));
			if (retptr)
			{
				OutValue = 0;
			}
		}
		break;
	}
	case AT_GETICCID:
	{
		if (retptr)
		{
			retptr = (uint8 *)strstr((char *)pReadStr, (char *)("ICCID"));
			if (retptr)
			{
				memcpy(IccidNum, retptr + 7, 20);
				OutValue = 0;
			}
		}
		break;
	}
	case AT_CGREG:
	{
		if (retptr)
		{
			retptr = (uint8 *)strstr((char *)pReadStr, (char *)("CGREG"));
			if (retptr)
			{
				uint8 RegN = 0;
				uint8 RegState = 0;
				RegN = CharToHex(*(retptr + 7));
				RegState = CharToHex(*(retptr + 9));
				OutValue = (RegState + RegN);
				return OutValue;
			}
		}

		break;
	}
	case AT_NETOPEN:
	{
		if (retptr)
		{
			OutValue = 0;
		}
		retptr = (uint8 *)strstr((char *)pReadStr, (char *)("opened")); //ظ
		if (retptr)
		{
			OutValue = 0;
		}
		break;
	}
	case AT_CONNECTCHK:
	{
		if (retptr)
		{
			retptr = (uint8 *)strstr((char *)pReadStr, (char *)("TCP"));
			if (retptr)
			{
				OutValue = CharToHex(*(retptr - 3));
				return OutValue;
			}
		}
		break;
	}
	case AT_CGIP:
	{
		if (retptr)
		{
			for (uint8 i = 0; i < 30; i++)
			{
				if (*(retptr - i) == ',')
				{
					memcpy(WebSiteIp, retptr - i + 1, 15);
					OutValue = 0;
					break;
				}
			}
		}
		break;
	}
	case AT_CONNECT:
	{
		if (retptr)
		{
			retptr = (uint8 *)strstr((char *)pReadStr, (char *)("CIPOPEN"));
			SocketId = CharToHex(*(retptr + 9));
			OutValue = 0;
		}
		break;
	}
	case AT_SEND:
	{
		retptr = (uint8 *)strstr((char *)pReadStr, (char *)(">"));
		if (retptr)
		{
			OutValue = 0;
		}
		break;
	}
	case AT_GETTIME:
	{
		if(retptr)
		{
			OutValue = 0;
		}
	}
	default:
		break;
	}
	return OutValue;
}
