/*
 * hal_adapter.c
 *м㺯ÿ
 *  Created on: 2022118
 *      Author: QiXiang_CHENJIE
 */
#include "hal_adapter.h"
#include "AppGlobalVar.h"

 uint8_t __attribute__((section(".non_cacheable_data"))) RX_Buffer[UART_CH_MAX_CONFIG][BUFFER_SIZE];
 uint32_t bufferIdx[3] = {0};
 Std_ReturnType UART_Query_Data(uint8 transChannel, uint8 recvChannel, const uint8 *txBuffer, uint32 sendLength, uint8 *rxBuffer, uint16 *rxlen,uint32 T_timeout)
 {
     volatile Std_ReturnType R_Uart_Status;
     volatile Std_ReturnType T_Uart_Status;
     volatile Uart_StatusType Uart_ReceiveStatus = UART_STATUS_TIMEOUT;
     volatile Uart_StatusType Uart_TransmitStatus = UART_STATUS_TIMEOUT;
     uint32 T_bytesRemaining;
     uint32 R_bytesRemaining;
     uint32 timeout = T_timeout;
     uint32 retVal = E_NOT_OK;
     //    uint8 Rx_Buffer[MSG_LEN];

     /* Uart_AsyncReceive transmit data */
 //    IP_LPUART0->CTRL |= LPUART_CTRL_ILIE(0);
     bufferIdx[recvChannel]=0;
 	switch(recvChannel)
 	{
 	case 0:
 		IP_LPUART0->CTRL |= LPUART_CTRL_ILIE(1);
 		break;
 	case 1:
 		IP_LPUART1->CTRL |= LPUART_CTRL_ILIE(1);
 		break;
 	case 2:
 		IP_LPUART2->CTRL |= LPUART_CTRL_ILIE(1);
 		break;
 	default:
 		break;
 	}
 if (txBuffer == NULL || rxBuffer == NULL)
 {
     return retVal;
 }

 Uart_SetBuffer(recvChannel, &RX_Buffer[recvChannel][0], DMA_SIZE, UART_RECEIVE);
 R_Uart_Status = Uart_AsyncReceive(recvChannel, rxBuffer, DMA_SIZE);
 if (E_OK != R_Uart_Status)
 {
     Uart_Abort(recvChannel, UART_RECEIVE);
     return E_NOT_OK;
 }

 /* Uart_AsyncSend transmit data */
 Uart_SetBuffer(transChannel, txBuffer, sendLength, UART_SEND);
 T_Uart_Status = Uart_AsyncSend(transChannel, txBuffer, sendLength);
 if (E_OK != T_Uart_Status)
 {
     Uart_Abort(transChannel, UART_SEND);
     return E_NOT_OK;
 }

 /* Check for no on-going transmission */
 do
 {
     Uart_TransmitStatus = Uart_GetStatus(transChannel, &T_bytesRemaining, UART_SEND);
     Uart_ReceiveStatus = Uart_GetStatus(recvChannel, &R_bytesRemaining, UART_RECEIVE);
 } while (((UART_STATUS_NO_ERROR != Uart_TransmitStatus || UART_STATUS_NO_ERROR != Uart_ReceiveStatus) && 0 < --timeout));

 if ((UART_STATUS_NO_ERROR != Uart_TransmitStatus))
 {
     Uart_Abort(transChannel, UART_SEND);
     retVal = E_NOT_OK;
 }
 else
 {
     retVal = E_OK;
 }

 if ((UART_STATUS_NO_ERROR != Uart_ReceiveStatus))
 {
     Uart_Abort(recvChannel, UART_RECEIVE);
     //    	IP_LPUART0->CTRL |= LPUART_CTRL_ILIE(1);
     retVal = E_NOT_OK;
 }
 else
 {
	 *rxlen = bufferIdx[recvChannel];
     retVal = E_OK;
 }
 return retVal;
 }

 Std_ReturnType UART_Send_Data(uint8 transChannel, const uint8 *txBuffer, uint32 sendLength, uint32 T_timeout)
 {

     volatile Std_ReturnType T_Uart_Status;
     volatile Uart_StatusType Uart_TransmitStatus = UART_STATUS_TIMEOUT;
     uint32 T_bytesRemaining;
     uint32 timeout = T_timeout;
     uint32 retVal = E_NOT_OK;
     //    uint8 Rx_Buffer[MSG_LEN];

     if (txBuffer == NULL)
     {
         return retVal;
     }

     /* Uart_AsyncSend transmit data */
//     Uart_SetBuffer(transChannel, txBuffer, sendLength, UART_SEND);
     T_Uart_Status = Uart_AsyncSend(transChannel, txBuffer, sendLength);
     if (E_OK != T_Uart_Status)
     {
         Uart_Abort(transChannel, UART_SEND);
         return E_NOT_OK;
     }

     /* Check for no on-going transmission */
     do
     {
         Uart_TransmitStatus = Uart_GetStatus(transChannel, &T_bytesRemaining, UART_SEND);
     } while ((UART_STATUS_NO_ERROR != Uart_TransmitStatus && 0 < --timeout));

     if ((UART_STATUS_NO_ERROR != Uart_TransmitStatus))
     {
         //Uart_Abort(transChannel, UART_SEND);
         retVal = E_NOT_OK;
     }
     else
     {
         retVal = E_OK;
     }
     return retVal;
 }

 Std_ReturnType UART_Receive_Data(uint8 recvChannel, uint8 *rxBuffer, uint16 *rxlen,sint32 T_timeout)
 {
     volatile Std_ReturnType R_Uart_Status=E_NOT_OK;
     volatile Uart_StatusType Uart_ReceiveStatus = UART_STATUS_TIMEOUT;
     uint32 T_bytesRemaining = 0;
     uint32 retVal = E_NOT_OK;
     //    uint8 Rx_Buffer[MSG_LEN];
     bufferIdx[recvChannel]=0;
     *rxlen = 0;
     if (rxBuffer == NULL)
     {
         return retVal;
     }
     /* Uart_AsyncReceive transmit data */
	switch(recvChannel)
	{
	case 0:
		IP_LPUART0->CTRL |= LPUART_CTRL_ILIE(1);
		break;
	case 1:
		IP_LPUART1->CTRL |= LPUART_CTRL_ILIE(1);
		break;
	case 2:
		IP_LPUART2->CTRL |= LPUART_CTRL_ILIE(1);
		break;
	default:
		break;
	}
     Uart_SetBuffer(recvChannel, rxBuffer, DMA_SIZE, UART_RECEIVE);
     R_Uart_Status = Uart_AsyncReceive(recvChannel, rxBuffer, DMA_SIZE);
     if (E_OK != R_Uart_Status)
     {
         Uart_Abort(recvChannel, UART_RECEIVE);
         return E_NOT_OK;
     }
     /* Check for no on-going transmission */
     do
     {
         Uart_ReceiveStatus = Uart_GetStatus(recvChannel, &T_bytesRemaining, UART_RECEIVE);
         vTaskDelay(pdMS_TO_TICKS(1));

     } while ((UART_STATUS_NO_ERROR != Uart_ReceiveStatus)&& 0<T_timeout--);
     if ((UART_STATUS_NO_ERROR != Uart_ReceiveStatus))
     {
         Uart_Abort(recvChannel, UART_RECEIVE);
         *rxlen = 0;
         retVal = E_NOT_OK;
     }
     else
     {
    	 *rxlen = bufferIdx[recvChannel];
         retVal = E_OK;
     }
     return retVal;
 }
 void UART_Callback(uint32 hwInstance, Lpuart_Uart_Ip_EventType event )
 {
 //    (void)userData;
     uint32_t temp;
     /* Check the event type */
     if (event == LPUART_UART_IP_EVENT_RX_FULL)
     {
         /* The reception stops when receiving idle is detected or the buffer is full */
         if (bufferIdx[hwInstance] <= (BUFFER_SIZE - DMA_SIZE))
         {
             /* Update the buffer index and the rx buffer */
        	 bufferIdx[hwInstance] += DMA_SIZE;
         	Uart_SetBuffer(hwInstance,&RX_Buffer[hwInstance][bufferIdx[hwInstance]],DMA_SIZE,UART_RECEIVE);
             //Lpuart_Uart_Ip_SetRxBuffer(hwInstance, &RX_Buffer[bufferIdx], DMA_SIZE);
         }
     }
     if (event == LPUART_UART_IP_EVENT_ERROR)
     {
//     	/*Get the transfered data size. DMA Channel 1 is used for LPUART DMA receiving, please modify accordingly.*/
//     	temp = DMA_SIZE - (uint32_t)IP_DMA->TCD->CITER.ELINKNO;
//     	/*Add the remaining data size to the sum of the received size*/
//     	bufferIdx[hwInstance] += temp;
         /*Abort the receiving after detecting IDLE receiving*/
     	Lpuart_Uart_Ip_AbortReceivingData(hwInstance);
 //    	bufferIdx = 0;
     }
     if( event == LPUART_UART_IP_EVENT_RECV_IDLE)
     {
     	/*Get the transfered data size. DMA Channel 1 is used for LPUART DMA receiving, please modify accordingly.*/
 		temp = DMA_SIZE - (uint32_t)IP_DMA->TCD[hwInstance].CITER.ELINKNO;
 		/*Add the remaining data size to the sum of the received size*/
 		bufferIdx[hwInstance] += temp;
 		/*Abort the receiving after detecting IDLE receiving*/
 		Lpuart_Uart_Ip_AbortReceivingData(hwInstance);
 //		rxSuccess = true;
     }
 }

 /*CAN*/
 Can_PduType Can_CreatePduInfo(Can_IdType id, CAN_IdFrameType idFrame, PduIdType swPduHandle, uint8 length, uint8 *sdu)
 {
     Can_PduType PduInfo;
     switch (idFrame)
     {
     case CAN_STANDARD_ID_TYPE:
         id = id & 0x7FF;
         break;
     case CANFD_STANDARD_ID_TYPE:
         id = (id & 0x7FF) | 0x40000000;
         break;
     case CAN_EXTENDED_ID_TYPE:
         id = id | 0x80000000;
         break;
     case CANFD_EXTENDED_ID_TYPE:
         id = id | 0xC0000000;
         break;
     default:
         id = id & 0x7FF;
         break;
     }
     PduInfo.id = id;
     PduInfo.swPduHandle = swPduHandle;
     PduInfo.length = length;
     PduInfo.sdu = sdu;

     return PduInfo;
 }
 Std_ReturnType CanIf_SendMessage(uint8 ControllerId, Can_Msg_Type CanMsg)
 {
     volatile Can_PduType Can_PduInfo;
     volatile Std_ReturnType CAN_Write_Status;
     Std_ReturnType retVal = E_NOT_OK;
     uint32 u8TimeOut = 100*100;
     Can_HwHandleType Hth = Can0HardwareObject_TX + (Can_HwHandleType)ControllerId; // controller 0 --> Can0HardwareObject_TX

     Can_PduInfo = Can_CreatePduInfo(CanMsg.id, CanMsg.idFrame, 0, CanMsg.length, CanMsg.sdu);

     CAN_Write_Status = Can_Write(Hth, &Can_PduInfo);

     CanIf_bTxFlag = FALSE;
     if (CAN_Write_Status == E_OK)
     {
         while ((!CanIf_bTxFlag) && (u8TimeOut != 0U))
         {
             Can_MainFunction_Write();
             u8TimeOut--;
         }
     }

     if (CanIf_bTxFlag == TRUE)
     {
         retVal = E_OK;
     }
     else
     {
         retVal = E_NOT_OK;
     }
     return retVal;
 }
 Can_Msg_Type Can_GetMsgInfo(Can_IdType id, uint8 length, uint8 *sdu)
 {
     Can_Msg_Type CanMsgInfo;

     CanMsgInfo.idFrame = (CAN_IdFrameType)((id >> 30) & 0x03);
     if (CanMsgInfo.idFrame & 0x01)
     {
         CanMsgInfo.id = id & 0x7FF;
     }
     else
     {
         CanMsgInfo.id = id & 0x1FFFFFFF;
     }
     CanMsgInfo.length = length;
     CanMsgInfo.sdu = sdu;

     return CanMsgInfo;
 }

 void CanIf_ControllerBusOff(uint8 ControllerId)
 {
     (void)ControllerId;
 }

 void CanIf_ControllerModeIndication(uint8 ControllerId, Can_ControllerStateType ControllerMode)
 {
     (void)ControllerId;
     (void)ControllerMode;
 }
 void CanIf_TxConfirmation(PduIdType CanTxPduId)
 {
     CanIf_u8TxConfirmCnt++;
     CanIf_bTxFlag = TRUE;
     (void)CanTxPduId;
 }

 void CanIf_RxIndication(const Can_HwType *Mailbox, const PduInfoType *PduInfoPtr)
 {
	 static portBASE_TYPE xHigherPriorityTaskWoken;
	 xHigherPriorityTaskWoken = pdFALSE;
	 Can_Msg_Type canRxMsg_Buff;
     CanIf_bRxFlag = TRUE; // should not be delete
     // should put the msg into message queue
     canRxMsg_Buff = Can_GetMsgInfo(Mailbox->CanId, PduInfoPtr->SduLength, PduInfoPtr->SduDataPtr);
     xQueueSendFromISR(CanRecvQueueHandle,&canRxMsg_Buff,&xHigherPriorityTaskWoken);
//     xQueueSend(CanRecvQueueHandle,&canRxMsg_Buff,1000);
 }

 void CanIf_CurrentIcomConfiguration(uint8 ControllerId, IcomConfigIdType ConfigurationId, IcomSwitch_ErrorType Error)
 {
     (void)ControllerId;
     (void)ConfigurationId;
     (void)Error;
 }

