/*
 * @Author       : ChenJie
 * @Date         : 2022-01-23 13:52:10
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-01-23 16:10:21
 * @Description  : file content
 * @FilePath     : \PLAT\project\ec616_0h00\apps\qx_app\src\AT_CMD\hal_adapter.h
 */
/*
 * hal_adapter.h
 *м㺯ÿ
 *  Created on: 2022118
 *      Author: QiXiang_CHENJIE
 */

#ifndef HAL_ADAPTER_H_
#define HAL_ADAPTER_H_
 #include "Mcal.h"
 #include "CAN.h"
 #include "SchM_Can.h"
 #include "Mcu.h"
 #include "Mcl.h"
 #include "Port.h"
 #include "Dio.h"
 #include "Uart.h"
 #include "Platform.h"
 #include "Lpuart_Uart_Ip_Irq.h"
 #include "Flexio_Uart_Ip_Irq.h"
 #include <string.h>
 #include <stdlib.h>
 #include "Dma_Ip.h"
 #include "Dma_Ip_Irq.h"
 #include "Lpuart_Uart_Ip.h"
 #include "FreeRTOS.h"
 #include "timers.h"
 #include "task.h"
 #include "semphr.h"
 #define UART_LPUART0 0
 #define UART_LPUART1 1
 #define UART_LPUART2 2
 #define FLEXIO_RX 3
 #define FLEXIO_TX 4
 #define main_TASK_PRIORITY                ( tskIDLE_PRIORITY + 2 )

 #define MSG_LEN 50U
 #define TJA1153_START_ID (uint32_t)(0x555u)
 #define TJA1153_CONFIG_ID (uint32_t)(0x18DA00F1u)

 #define BUFFER_SIZE 200
 #define DMA_SIZE 20
 extern uint8_t RX_Buffer[UART_CH_MAX_CONFIG][BUFFER_SIZE];
 Std_ReturnType UART_Query_Data(uint8 transChannel, uint8 recvChannel, const uint8 *txBuffer, uint32 sendLength, uint8 *rxBuffer, uint16 *rxlen,uint32 T_timeout);
 Std_ReturnType UART_Send_Data(uint8 transChannel, const uint8 *txBuffer, uint32 sendLength, uint32 T_timeout);
 Std_ReturnType UART_Receive_Data(uint8 recvChannel, uint8 *rxBuffer,uint16 *rxlen, sint32 T_timeout);
 void UART_Callback(uint32 hwInstance, Lpuart_Uart_Ip_EventType event);

 /*CAN*/
 typedef enum
 {
     CAN_STANDARD_ID_TYPE = 0x00,   /**< * -00b CAN message with Standard CAN ID  */
     CANFD_STANDARD_ID_TYPE = 0x01, /**< * -01b CAN FD frame with Standard CAN ID  */
     CAN_EXTENDED_ID_TYPE = 0x02,   /**< * -10b CAN message with Extended CAN ID  */
     CANFD_EXTENDED_ID_TYPE = 0x03, /**< * -11b CAN FD frame with Extended CAN ID  */
 } CAN_IdFrameType;

 typedef struct
 {
     Can_IdType id;

     CAN_IdFrameType idFrame;

     uint8 length; /**< @brief DLC = Data Length Code (part of L-PDU that describes
                                             the SDU length). */
     uint8 *sdu;   /**< @brief CAN L-SDU = Link Layer Service Data
                                                            Unit. Data that is transported inside
                                                            the L-PDU. */
 } Can_Msg_Type;
 typedef struct
 {
	 Can_IdType id;
	 uint8 length;
	 uint8 data[8];
 }Can_Msg_Type_Data;
 extern Std_ReturnType CanIf_SendMessage(uint8 ControllerId, Can_Msg_Type CanMsg);
#endif /* HAL_ADAPTER_H_ */
